Subject: Universal RA format - router to router

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 29 Mar 2019 09:39:18 +0100

If this specification of 'Universal RA format' considers the sending of 
these RAs from router to router, then I am intereste in it.

Router - to - Router (as opposed to Router - to - Host) is something 
very relevant in many contexts such as smartphone-to-smartphone, 
vehicle-to-vehicle, and more, that may be disconnected from other fixed 
Routers.

In particular, the RIO (Route Information Option) can only be relevant 
to receiving Routers.  They insert it in their routing table.  They are 
Routers not in using the 'forwarding' flag, but in using their Routing 
tables.

That new RIO is needed more than existing RIO, because it needs to be 
sent Router-to-Router.

Otherwise, the existing RIO is sufficient.

Alex